import { ComplianceRequest, SetComplianceRequest } from '../../request';
import { BaseSecurityInPort } from '../BaseSecurityInPort';
export interface ISecurityInPortCompliance {
    setCompliance(request: SetComplianceRequest): Promise<{
        payload: boolean;
        transactionId: string;
    }>;
    compliance(request: ComplianceRequest): Promise<string>;
}
export declare class SecurityInPortCompliance extends BaseSecurityInPort implements ISecurityInPortCompliance {
    setCompliance(request: SetComplianceRequest): Promise<{
        payload: boolean;
        transactionId: string;
    }>;
    compliance(request: ComplianceRequest): Promise<string>;
}
